<?php

session_start();

//1----

//variable que guarda el nombre del archivo JPG
$archivo= $_SESSION['Numero']." Nota.png";

$Contador = $_SESSION['Contador'];

$archivo_de_salida=$archivo;

$Texto1 = "DISTRIBUCIONES MC";
$Texto2 = "NIT: 71621894-0";
$Texto3 = "Cll 20 Politecnico #15-19";
$Texto4 = "Cisneros";
$Texto5 = "TEL: 311 397 10 23";
$Texto6 ="REGIMEN COMUN";
$Texto7 = "NOTA CRÉDITO No: ".$_SESSION['Numero'];
$Texto8 = "FECHA: ".$_SESSION['Fecha'];
$Texto9 =  $_SESSION['NombreCliente'];
$Texto10 = $_SESSION['ApellidoCliente'];
$Texto11 = "ID: ".number_format($_SESSION['Cedula']);
$Texto12 = "EQUIPO: ".$_SESSION['Marca'];
$Texto13 = "NUMERO: ".number_format($_SESSION['Congelador']);
$Fuente = 'fonts/arial_narrow_7';

$Img = imagecreate( 400, (755 + ($Contador * 25)));
$ColorFondo= imagecolorallocate( $Img, 255, 255, 255);
$ColorTexto= imagecolorallocate( $Img, 0, 0, 0 );
$ColorLinea= imagecolorallocate( $Img, 0, 0, 0);
imagettftext($Img, 30, 0, 50, 40, $ColorTexto, $Fuente, $Texto1);
imagettftext($Img, 25, 0, 90, 70, $ColorTexto, $Fuente, $Texto2);
imagettftext($Img, 25, 0, 30, 100, $ColorTexto, $Fuente, $Texto3);
imagettftext($Img, 25, 0, 130, 130, $ColorTexto, $Fuente, $Texto4);
imagettftext($Img, 25, 0, 80, 160, $ColorTexto, $Fuente, $Texto5);
imagettftext($Img, 25, 0, 99, 190, $ColorTexto, $Fuente, $Texto6);
imagettftext($Img, 25, 0, 30, 240, $ColorTexto, $Fuente, $Texto7);
imagettftext($Img, 25, 0, 30, 270, $ColorTexto, $Fuente, $Texto8);
imagettftext($Img, 25, 0, 10, 310, $ColorTexto, $Fuente, $Texto9);
imagettftext($Img, 25, 0, 10, 340, $ColorTexto, $Fuente, $Texto10);
imagettftext($Img, 25, 0, 10, 370, $ColorTexto, $Fuente, $Texto11);
imagettftext($Img, 25, 0, 10, 400, $ColorTexto, $Fuente, $Texto12);
imagettftext($Img, 25, 0, 10, 430, $ColorTexto, $Fuente, $Texto13);
imagesetthickness ( $Img, 1 );
//imagettftext($Img, 17, 0, 10, 465, $ColorTexto, $Fuente, 'COD');
imagettftext($Img, 17, 0, 10, 465, $ColorTexto, $Fuente, 'PRODUCTO');
imagettftext($Img, 17, 0, 220, 465, $ColorTexto, $Fuente, 'CANT');
imagettftext($Img, 17, 0, 265, 465, $ColorTexto, $Fuente, 'VALOR');
imagettftext($Img, 17, 0, 335, 465, $ColorTexto, $Fuente, 'TOTAL');
imageline( $Img, 5, 470, 395, 470, $ColorLinea);

$Alto = 495;
$Cambio = true;
for($Contador = $Contador; $Contador >=1; $Contador--){
if($Cambio == true){
//imagettftext($Img, 14, 0, 10, 495, $ColorTexto, $Fuente, $_SESSION['Linea'][$Contador]['codigo']);
imagettftext($Img, 19, 0, 10, 495, $ColorTexto, $Fuente, $_SESSION['Linea'][$Contador]['producto']);
imagettftext($Img, 19, 0, 220, 495, $ColorTexto, $Fuente, $_SESSION['Linea'][$Contador]['cantidad']);
imagettftext($Img, 19, 0, 265, 495, $ColorTexto, $Fuente, $_SESSION['Linea'][$Contador]['valor']);
imagettftext($Img, 19, 0, 335, 495, $ColorTexto, $Fuente, $_SESSION['Linea'][$Contador]['subtotal']);

   
   // $pdf->Ln(5);
    $Cambio = false;
}else{
$Alto  = $Alto + 25;
//imagettftext($Img, 14, 0, 10, $Alto, $ColorTexto, $Fuente, $_SESSION['Linea'][$Contador]['codigo']);
imagettftext($Img, 19, 0, 10, $Alto, $ColorTexto, $Fuente, $_SESSION['Linea'][$Contador]['producto']);
imagettftext($Img, 19, 0, 220, $Alto, $ColorTexto, $Fuente, $_SESSION['Linea'][$Contador]['cantidad']);
imagettftext($Img, 19, 0, 265, $Alto, $ColorTexto, $Fuente, $_SESSION['Linea'][$Contador]['valor']);
imagettftext($Img, 19, 0, 335, $Alto, $ColorTexto, $Fuente, $_SESSION['Linea'][$Contador]['subtotal']);
}
    
}

imagettftext($Img, 20, 0, 40, $Alto + 65, $ColorTexto, $Fuente, "Subtotal: $".number_format($_SESSION['Subtotal']));
imagettftext($Img, 20, 0, 40, $Alto + 90, $ColorTexto, $Fuente, "Descuento: $".number_format($_SESSION['DescuentoAplicado']));
imagettftext($Img, 20, 0, 40, $Alto + 115, $ColorTexto, $Fuente, "IVA: $".number_format($_SESSION['IVA']));
imagettftext($Img, 20, 0, 40, $Alto + 140, $ColorTexto, $Fuente, "Total : $".number_format($_SESSION['Total']));
imagettftext($Img, 18, 0, 10, $Alto + 200, $ColorTexto, $Fuente, "MUCHAS GRACIAS POR PREFERIRNOS!!!");
//imagettftext($Img, 15, 0, 10, $Alto + 210, $ColorTexto, $Fuente, "Tipo 02 computaddor 10001 al 100000.");








header( "Content-type: appication/png" );
header ("Content-Disposition: attachment; filename=$archivo");
header("Content-Length: " . filesize("$archivo"));
$fp = fopen($archivo, "r");
fpassthru($fp);



imagepng($Img );
imagecolordeallocate( $ColorLinea);
imagecolordeallocate( $ColorTexto);
imagecolordeallocate( $ColorFondo);
imagedestroy($Img );



$_SESSION['Impresa'] = true;



?>



